use bevy_app::App;
use engine_vulkan::VulkanPlugin;
use engine_window::{WindowPlugin, config::WindowConfig};

pub fn init(app: &mut App) {
    let window_config = WindowConfig {
        title: "Rust ASH Test".to_string(),
        width: 800,
        height: 600,
    };

    app.add_plugins((WindowPlugin { window_config }, VulkanPlugin));
    // Window::new(app, window_config).unwrap();
    // Vulkan::new(app).unwrap();
}
